#!/bin/bash
#

mkl_meta_set "description" "name"      "confluent-librdkafka-plugins"
mkl_meta_set "description" "oneline"   "Confluent librdkafka plugins"
mkl_meta_set "description" "long"      "Confluent librdkafka plugins"
mkl_meta_set "description" "copyright" "Copyright (c) 2017 Confluent Inc."

# Enable generation of pkg-config .pc file
mkl_mkvar_set "" GEN_PKG_CONFIG n


mkl_require lib
mkl_require pic
mkl_require good_cflags


function checks {

    # required libs
    mkl_lib_check "rdkafka" "" fail CC "-lrdkafka" \
                  "
#include <librdkafka/rdkafka.h>
void foo (void) {
    rd_kafka_conf_interceptor_add_on_new(NULL, NULL, NULL, NULL);
    rd_kafka_interceptor_add_on_send(NULL, NULL, NULL, NULL);
}"

    if [[ $(uname -s) == "Linux" ]]; then
        mkl_lib_check "uuid" "" fail CC "-luuid" \
                      "
#include <uuid/uuid.h>
void foo (void) {
     uuid_t u;
     uuid_generate_random(u);
}
"
    elif [[ $MKL_DISTRO == osx ]]; then
        mkl_mkvar_append LIBS LIBS "-framework CoreFoundation"
    fi

    mkl_lib_check --static=-lprotobuf-c --libname=libprotobuf-c "protobuf_c" "" disable CC "-lprotobuf-c" \
"
#include <protobuf-c/protobuf-c.h>
"
}

